GetMigrationHistory

[POST] .../v1/retailcard/getmigrationhistory

Gets retail card migration history. Use this method to retrieve loyalty program migration history for a retail customer card. The request filters by card_id and returns result with RetailCardMigrationHistory records describing old and new promo programs and migration type. The method checks the current request user and requires customer card select permission; missing body, missing card_id, denied permission, missing history and storage errors are returned as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.

Filterable Fields

Field Type Description
card_id int Retail card ID.

Request Example

{
  "filters": [
    {
      "Field": "card_id",
      "Operator": "Equal",
      "Value": "string"
    }
  ]
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Array of RetailCardMigrationHistory Result array.

Response Example

{
  "ok": true,
  "result": [
    {
      "date": 1,
      "id": 1,
      "promo_new": 1,
      "promo_new_string": "string",
      "promo_old": 1,
      "promo_old_string": "string",
      "type": "Auto"
    }
  ]
}